WHEREIS(1)

NAME
whereis - locate the binary, source, and manual page files for a command

SYNOPSIS
whereis [options] [-BMS directory... -f] filename...

DESCRIPTION
whereis locates source/binary and manuals sections for specified files. The supplied names are first stripped of leading pathname components and any (single) trailing extension of the form .ext, for example, .c. Prefixes of s. resulting from use of source code control are also dealt with. whereis then attempts to locate the desired program in a list of standard Linux places.

OPTIONS

-b
Search only for binaries.

-m  Search only for manual sections.

-s  Search only for sources.

-u  Search for unusual entries. A file is said to be unusual if it does not have one entry of each requested type. Thus `whereis -m -u *' asks for those files in the current directory which have no documentation.

-B list
    Change or otherwise limit the places where whereis searches for binaries by white-space separated list of directories.

-M list
    Change or otherwise limit the places where whereis searches for manual sections by white-space separated list of directories.

-S list
    -S Change or otherwise limit the places where whereis searches for sources white-space separated list of directories.

-f  Terminate the last directory list and signals the start of file names, and must be used when any of the -B, -M, or -S options are used.

EXAMPLE
Find all files in /usr/bin which are not documented in /usr/man/man1 with source in /usr/src:

    $ cd /usr/bin
    $ whereis -u -M /usr/man/man1 -S /usr/src -f *

FILES
whereis has basic set of hard-coded paths (see below). If the option -B is not specified then also follows $PATH environment variable (since version 2.21).

/{bin,sbin,etc}

/usr/{lib,bin,old,new,local,games,include,etc,src,man,sbin,X386,TeX,g++-include}

/usr/local/{X386,TeX,X11,include,lib,man,etc,bin,games,emacs}

SEE ALSO
chdir(2V)

BUGS
Since whereis uses chdir(2V) to run faster, pathnames given with the -M, -S, or -B must be full; that is, they must begin with a `/'.

AVAILABILITY
The whereis command is part of the util-linux package and is available from ftp://ftp.kernel.org/pub/linux/utils/util-linux/.